<?php

// Register custom post types
add_action('init', 'posttype_init');
function posttype_init() {
	global $data;
	
	
	register_post_type(
		'project',
		array(
			'labels' => array(
				'name' => 'Projects',
				'singular_name' => 'Project'
			),
			'public' => true,
			'has_archive' => true,
			'rewrite' => array('slug' => 'project-items'),
			'supports' => array('title', 'editor', 'thumbnail','comments'),
			'can_export' => true,
		)
	);

	register_taxonomy('project_category', 'project', array('hierarchical' => true, 'label' => 'Categories', 'query_var' => true, 'rewrite' => true));

	register_post_type(
		'testimonial',
		array(
			'labels' => array(
				'name' => 'Testimonials',
				'singular_name' => 'Testimonial'
			),
			'public' => true,
			'has_archive' => true,
			'rewrite' => array('slug' => 'testimonial-items'),
			'supports' => array('title', 'editor', 'thumbnail','comments'),
			'can_export' => true,
		)
	);

	register_post_type(
		'client',
		array(
			'labels' => array(
				'name' => 'Clients',
				'singular_name' => 'Client'
			),
			'public' => true,
			'has_archive' => true,
			'rewrite' => array('slug' => 'client-items'),
			'supports' => array('title', 'editor', 'thumbnail','comments'),
			'can_export' => true,
		)
	);
			
}
?>