// Docu : http://wiki.moxiecode.com/index.php/TinyMCE:Create_plugin/3.x#Creating_your_own_plugins

(function() {
	// Load plugin specific language pack
	tinymce.PluginManager.requireLangPack('ucdesigner_shortcode');
	
	tinymce.create('tinymce.plugins.ucdesigner_shortcode', {
		
		init : function(ed, url) {
			ed.addCommand('mceucdesigner_shortcode', function() {
				ed.windowManager.open({
					file : url + '/window_page.php',
					width : 400 + ed.getLang('ucdesigner_shortcode.delta_width', 0),
					height : 250 + ed.getLang('ucdesigner_shortcode.delta_height', 0),
					inline : 1
				}, {
					plugin_url : url 
				});
			});

			
			ed.addButton('ucdesigner_shortcode', {
				title : 'ucdesigner_shortcode.desc',
				cmd : 'mceucdesigner_shortcode',
				image: url + "/ucdesigner.png"
			});

			// Add a node change handler, selects the button in the UI when a image is selected
			ed.onNodeChange.add(function(ed, cm, n) {
				cm.setActive('ucdesigner_shortcode', n.nodeName == 'IMG');
			});
		},

		/**
		 * Creates control instances based in the incomming name. This method is normally not
		 * needed since the addButton method of the tinymce.Editor class is a more easy way of adding buttons
		 * but you sometimes need to create more complex controls like listboxes, split buttons etc then this
		 * method can be used to create those.
		 *
		 * @param {String} n Name of the control to create.
		 * @param {tinymce.ControlManager} cm Control manager to use inorder to create new control.
		 * @return {tinymce.ui.Control} New control instance or null if no control was created.
		 */
		createControl : function(n, cm) {
			return null;
		},

		/**
		 * Returns information about the plugin as a name/value array.
		 * The current keys are longname, author, authorurl, infourl and version.
		 *
		 * @return {Object} Name/value array containing information about the plugin.
		 */
		getInfo : function() {
			return {
					longname  : 'ucdesigner_shortcode',
					author 	  : 'Undercoverdesigner',
					authorurl : 'http://undercoverdesigner.com',
					infourl   : 'http://undercoverdesigner.com',
					version   : "1.0"
			};
		}
	});

	// Register plugin
	tinymce.PluginManager.add('ucdesigner_shortcode', tinymce.plugins.ucdesigner_shortcode);
})();


